## cat

#### OS/161 Reference Manual

### Name

`cat` - concatenate and print files

### Synopsis

`/bin/cat` files...

### Description

`cat` prints the files listed on its command line in order to its standard output. If the magic filename "-" is encountered, `cat` prints its standard input up to the first EOF.

With no arguments, `cat` prints its standard input.

`cat` takes no options.

### Requirements

`cat` uses the following syscalls:

- open
- read
- write
- close
- _exit

`cat` should function properly once the basic system calls assignment is completed.